# Microsoft DacFx SQL Projects Library Nuget Package

Microsoft.SqlServer.DacFx.Projects provides an interface for programmatically creating and editing .sqlproj files and their contents.
It can be used to add, update, exclude, and delete items contained in a SQL Project, such as SQL object scripts, pre- and post-deployment scripts, publish profiles, SQLCMD variables, and database references, as well as to edit the property metadata of the project itself.

More information is available at https://github.com/microsoft/DacFx.

## Dependencies

`Microsoft.SqlServer.DacFx.Projects` depends on the [Microsoft.SqlServer.DacFx](https://www.nuget.org/packages/Microsoft.SqlServer.DacFx), [Microsoft.Build](https://www.nuget.org/packages/Microsoft.Build), and [Microsoft.Extensions.FileSystemGlobbing](https://www.nuget.org/packages/Microsoft.Extensions.FileSystemGlobbing) nuget packages.

## Related packages

|Package|Description|
|---|---|
|[Microsoft.SqlServer.DacFx](https://www.nuget.org/packages/Microsoft.SqlServer.DacFx)|Microsoft.Sql.DacFx provides application lifecycle services for database development and management for Microsoft SQL Server and Microsoft Azure SQL Databases.
|[Microsoft.SqlServer.Dacpacs.Msdb](https://www.nuget.org/packages/Microsoft.SqlServer.Dacpacs.Msdb)|Microsoft.SqlServer.Dacpacs.Msdb is a set of NuGet packages containing .dacpac files for Microsoft SQL Server msdb databases with versions across SQL Server 2008 (100) through SQL Server 2022 (160).|
|[Microsoft.SqlServer.Dacpacs.Azure.Master](https://www.nuget.org/packages/Microsoft.SqlServer.Dacpacs.Azure.Master)|Microsoft.SqlServer.Dacpacs.Azure.Master is a NuGet package containing a .dacpac file for the Azure SQL Database master database.|
|[Microsoft.SqlServer.Dacpacs.Synapse.Master](https://www.nuget.org/packages/Microsoft.SqlServer.Dacpacs.Synapse.Master)|Microsoft.SqlServer.Dacpacs.Synapse.Master is a NuGet package containing a .dacpac file for the Azure Synapse Analytics master database.|
|[Microsoft.SqlServer.Dacpacs.SynapseServerless.Master](https://www.nuget.org/packages/Microsoft.SqlServer.Dacpacs.SynapseServerless.Master)|Microsoft.SqlServer.Dacpacs.SynapseServerless.Master is a NuGet package containing a .dacpac file for the Azure Synapse Analytics serverless SQL pools master database.|

## Support

Open issues at the [DacFx GitHub page](<https://github.com/microsoft/DacFx>).